Eclipse Platform Release 3.7

## org.eclipse.ui.views.properties
Class ComboBoxLabelProvider

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.jface.viewers.BaseLabelProvider
              org.eclipse.jface.viewers.LabelProvider
                  org.eclipse.ui.views.properties.ComboBoxLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider

    public class ComboBoxLabelProvider

extends LabelProvider

An `ILabelProvider` that assists in rendering labels for `ComboBoxPropertyDescriptors`. The label for a given `Integer` value is the `String` at the value in the provided values array.

Since:
  3.0

Constructor Summary
`ComboBoxLabelProvider(String[] values)`

Method Summary
`String` `getText(Object element)` Returns the `String` that maps to the given `Integer` offset in the values array.
`String[]` `getValues()`
`void` `setValues(String[] values)`

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`getImage`

Methods inherited from class org.eclipse.jface.viewers.BaseLabelProvider
`addListener, dispose, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, dispose, isLabelProperty, removeListener`

Constructor Detail

### ComboBoxLabelProvider

    public ComboBoxLabelProvider(String[] values)

Parameters:
  `values` - the possible label values that this `ILabelProvider` may return.

Method Detail

### getValues

    public String[] getValues()

  Returns:
    the possible label values that this `ILabelProvider` may return.

### setValues

    public void setValues(String[] values)

  Parameters:
    `values` - the possible label values that this `ILabelProvider` may return.

### getText

    public String getText(Object element)

  Returns the `String` that maps to the given `Integer` offset in the values array.

  Specified by:
    `getText` in interface `ILabelProvider`
  Overrides:
    `getText` in class `LabelProvider`
  Parameters:
    `element` - an `Integer` object whose value is a valid location within the values array of the receiver
  Returns:
    a `String` from the provided values array, or the empty `String`
  See Also:
    `ILabelProvider.getText(java.lang.Object)`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.